Skip to content

Cancel refund

Request

Cancel a refund.

Security
oauth2(Required scopes: loan.refund:cancel) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

loanRefundIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The loan refund identifier.

Bodyapplication/jsonrequired
cancellationReasonstring

Reason the refund was canceled.

Enum:"wrongAmountOrDetails""processingError""other"
cancellationReasonDetailsstring

The reason for refund cancellation. This is typically entered by an agent canceling a refund via the front end.

caseIdstring

An identifier for an existing case.

POST
/people/{personId}/loans/{loanId}/refunds/{loanRefundId}/cancel
curl -i -X POST \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/refunds/{loanRefundId}/cancel' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "cancellationReason": "wrongAmountOrDetails",
    "cancellationReasonDetails": "string",
    "caseId": "string"
  }'

Responses

Loan Refund

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(LoanRefund)
Response
{ "message": "string", "status": 0, "data": { "atFaultParty": "loanOwner", "caseId": "string", "isFullRefund": true, "originalAmount": 0.1, "refundAmount": 1, "refundDate": "2019-08-24", "refundDetails": { … }, "timestamps": { … } } }